<< gph_function | gph | gph_isEqual >>

CCA (Computational Convex Analysis) >> gph > gph_isBounded

# gph_isBounded

Graph-matrix calculus (GPH), Function domain bounded test

### Calling Sequence

    B = gph_isBounded(gph)

### Parameters

gph

  matrix. A function in GPH matrix form.

B

  1x2 boolean matrix. Whether the function is left- or right-bounded.

### Description

Returns a 1x2 boolean matrix B indicating whether the domain of the given function is left- or right-bounded.

- B(1) == %t, if and only if gph's domain is left-bounded.
- B(2) == %t, if and only if gph's domain is left-bounded.

### Examples

    gph = [-1,  0, 0, 1, 2; ..
           -1, -1, 0, 0, 2; ..
            1,  0, 0, 0, 1];
    B = gph_isBounded(gph),

    gph = [0, 0, 1; ..
           0, 1, 1; ..
           0, 0, 1];
    B = gph_isBounded(gph),

### See Also

- gph_function

### Authors

`Bryan Gardiner`, University of British Columbia, BC, Canada

<< gph_function | gph | gph_isEqual >>